local _, ns = ...

local _G = _G
local setfenv = _G.setfenv
setfenv(1, ns)
local assert = _G.assert
local ipairs = _G.ipairs
local CreateFrame = _G.CreateFrame
local GetNumPartyMembers = _G.GetNumPartyMembers
local IsPartyLeader = _G.IsPartyLeader

local function debug(msg)
	_G.ChatFrame1:AddMessage(msg)
end

local initFunc, onEvent, onTabChange

onTabChange = function(self)
    local singleButton = _G.PVPFrameLeftButton
    local singleText = _G.PVPFrameLeftButtonText
    local index = self:GetID()
    local isInParty = GetNumPartyMembers() > 0
	local isPartyLeader = IsPartyLeader()

    if index == 1 then
        if isInParty then
            if isPartyLeader then
                singleButton:Disable()
                singleText:SetTextColor(0.5,0.5,0.5,0.5)
            else
                singleButton:Enable()
                singleText:SetTextColor(1.00,0.82,0.00,1.00)
            end
	    else
            singleButton:Enable()
            --singleButton:Show()
    		singleText:SetTextColor(1.00,0.82,0.00,1.00)
	    end
    else
        --singleButton:Enable()
        --singleButton:Show()
        singleText:SetTextColor(1.00,0.82,0.00,1.00)
    end
end

initFunc = function()
    _G.hooksecurefunc('PVPFrame_TabClicked', onTabChange)
    initFunc = nil
    return true
end

onEvent = function(self, event)
	debug(event)
	if event == 'PLAYER_LOGIN' then
		local success = initFunc()
		assert(success)
        self:UnregisterEvent(event)
    end
end

local eventFrame = CreateFrame('frame')
eventFrame:RegisterEvent('PLAYER_LOGIN')
eventFrame:SetScript('OnEvent', onEvent)
